Skip to content
GET /unified/crm/notes/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

contactobject[]

The note's contact

References: Contacts → id
18 supported1 required
Highlevel
required
ActiveCampaign
supported
Affinity
supported
Attio
supported
Capsule
supported
Close
supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Keap
supported
Nutshell
supported
OnePageCRM
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
idstring
required·

The contact's unique identifier

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The note's unique identifier

19 supported
ActiveCampaign
supported
Affinity
supported
Attio
supported
Capsule
supported
Close
supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
Highlevel
supported
HubSpot
supported
Insightly
supported
Keap
supported
Nutshell
supported
OnePageCRM
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
accountobject

The note's account

References: Accounts → id
13 supported
Affinity
supported
Attio
supported
Capsule
supported
Close
supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Nutshell
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesforce
supported
Zoho CRM
supported
idstring

The account's unique identifier

contactobject[]

The note's contact

References: Contacts → id
18 supported
ActiveCampaign
supported
Affinity
supported
Attio
supported
Capsule
supported
Close
supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
Highlevel
supported
HubSpot
supported
Keap
supported
Nutshell
supported
OnePageCRM
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
idstring

The contact's unique identifier

contentstring

The note's content

19 supported
ActiveCampaign
supported
Affinity
supported
Attio
supported
Capsule
supported
Close
supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
Highlevel
supported
HubSpot
supported
Insightly
supported
Keap
supported
Nutshell
supported
OnePageCRM
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
created_atstring · date-time

The date and time of the note's creation

19 supported
ActiveCampaign
supported
Affinity
supported
Attio
supported
Capsule
supported
Close
supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
Highlevel
supported
HubSpot
supported
Insightly
supported
Keap
supported
Nutshell
supported
OnePageCRM
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
leadobject[]

The note's leads

References: Leads → id
7 supported
Microsoft Dynamics 365 Sales
supported
Nutshell
supported
Pipedrive
supported
Pipeliner
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
idstring

The lead's unique identifier

opportunityobject[]

The note's opportunities

12 supported
Affinity
supported
Attio
supported
Capsule
supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
OnePageCRM
supported
Pipedrive
supported
Pipeliner
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
idstring

The opportunity's unique identifier

ownerobject

The note's owner

18 supported
ActiveCampaign
supported
Affinity
supported
Attio
supported
Capsule
supported
Close
supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
Highlevel
supported
HubSpot
supported
Insightly
supported
Keap
supported
OnePageCRM
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
idstring

The note's owner's unique identifier

remote_dataRecord<string, any>

Raw data returned from the remote API call.

titlestring

The note's title

7 supported
Attio
supported
Microsoft Dynamics 365 Sales
supported
Insightly
supported
Keap
supported
Planhat
supported
Salesforce
supported
Zoho CRM
supported
updated_atstring · date-time

The date and time of the note's last update

15 supported
ActiveCampaign
supported
Affinity
supported
Capsule
supported
Close
supported
Copper
supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Insightly
supported
Keap
supported
OnePageCRM
supported
Pipedrive
supported
Pipeliner
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
urlsobject[]

The note's urls

3 supported
Attio
supported
Salesforce
supported
Zendesk Sell
supported
typestring

The note's URL type

urlstring

The note's URL

visibilitystring

The note's visibility

Possible values:
publicprivate
1 supported
Salesforce
supported
curl -X GET 'https://api.truto.one/unified/crm/notes/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/notes/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/notes/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'crm',
  'notes',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "crm",
        "notes",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())